Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.globes
Class EllipsoidRectangularTessellator

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.globes.EllipsoidRectangularTessellator

All Implemented Interfaces:
  AVList, Tessellator, WWObject, PropertyChangeListener, EventListener

    public class EllipsoidRectangularTessellator

extends WWObjectImpl
implements Tessellator

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`EllipsoidRectangularTessellator(Globe globe)`

Method Summary
`Sector` | `getSector()`
`static void` | `main(String[] args)`
`SectorGeometryList` | `tessellate(DrawContext dc)`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### EllipsoidRectangularTessellator

    public EllipsoidRectangularTessellator(Globe globe)

Method Detail

### getSector

    public Sector getSector()

### main

    public static void main(String[] args)

### tessellate

    public SectorGeometryList tessellate(DrawContext dc)

  Specified by:
    `tessellate` in interface `Tessellator`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD